    The XSPEC pexrav model: reflected powerlaw, neutral medium.

xspexrav
The xspexrav model is an additive model component.

The model is described at [1] .

>>> create_model_component("xspexrav", "mdl")
>>> print(mdl)

Create a component of the xspexrav model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.PhoIndex thawed 2 -10 10 mdl.foldE thawed 100 1 1e+06 keV mdl.rel_refl thawed 0 0 1e+06 mdl.redshift frozen 0 -0.999 10 mdl.abund frozen 1 0 1e+06 mdl.Fe_abund frozen 1 0 1e+06 mdl.cosIncl frozen 0.45 0.05 0.95 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
PhoIndex
The first power-law photon index.
foldE
The cut-off energy (E_c) in keV. Set to 0 for no cut off.
rel_refl
The reflection scaling parameter (a value between 0 and 1 for an isotropic source above the disk, less than 0 for no reflected component).
redshift
The redshift of the source.
abund
The abundance of the elements heavier than He relative to their solar abundance, as set by the set_xsabund function.
Fe_abund
The iron abundance relative to the solar abundance, as set by the set_xsabund function.
cosIncl
The cosine of the inclination angle in degrees.
norm
The normalization of the model: see [1] for an explanation of the units.

Notes

The precision of the numerical integration can be changed by using the set_xsxset function to set the value of the PEXRAV_PRECISION keyword, which defines the fractional precision. The default is 0.01 (1%).

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelPexrav.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023